Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amentra.metamatrix.solr
Class SolrCapabilities

    java.lang.Object
      com.amentra.metamatrix.solr.SolrCapabilities

All Implemented Interfaces:
  com.metamatrix.data.api.ConnectorCapabilities

    public class SolrCapabilities

extends java.lang.Object
implements com.metamatrix.data.api.ConnectorCapabilities

Describes the supported capabilities of the SolrConnector, and determines what query options will be passed to it.

Author:
  Michael Walker

Nested Class Summary

Nested classes/interfaces inherited from interface com.metamatrix.data.api.ConnectorCapabilities
`com.metamatrix.data.api.ConnectorCapabilities.EXECUTION_MODE, com.metamatrix.data.api.ConnectorCapabilities.SCOPE`

Constructor Summary
`SolrCapabilities()`

Method Summary
`int` | `getCapabilitiesScope()`
`int` | `getMaxInCriteriaSize()`
`java.util.List` | `getSupportedFunctions()`
`void` | `setMaxInCriteria(int maxCriteriaSize)`
`boolean` | `supportsAggregates()`
`boolean` | `supportsAggregatesAvg()`
`boolean` | `supportsAggregatesCount()`
`boolean` | `supportsAggregatesCountStar()`
`boolean` | `supportsAggregatesDistinct()`
`boolean` | `supportsAggregatesMax()`
`boolean` | `supportsAggregatesMin()`
`boolean` | `supportsAggregatesSum()`
`boolean` | `supportsAliasedGroup()`
`boolean` | `supportsAndCriteria()`
`boolean` | `supportsBetweenCriteria()`
`boolean` | `supportsCaseExpressions()`
`boolean` | `supportsCompareCriteria()`
`boolean` | `supportsCompareCriteriaEquals()`
`boolean` | `supportsCompareCriteriaGreaterThan()`
`boolean` | `supportsCompareCriteriaGreaterThanOrEqual()`
`boolean` | `supportsCompareCriteriaLessThan()`
`boolean` | `supportsCompareCriteriaLessThanOrEqual()`
`boolean` | `supportsCompareCriteriaNotEquals()`
`boolean` | `supportsCorrelatedSubqueries()`
`boolean` | `supportsCriteria()`
`boolean` | `supportsExecutionMode(int executionMode)`
`boolean` | `supportsExistsCriteria()`
`boolean` | `supportsFullOuterJoins()`
`boolean` | `supportsFunctionsInGroupBy()`
`boolean` | `supportsInCriteria()`
`boolean` | `supportsInCriteriaSubquery()`
`boolean` | `supportsInlineViews()`
`boolean` | `supportsIsNullCriteria()`
`boolean` | `supportsJoins()`
`boolean` | `supportsLikeCriteria()`
`boolean` | `supportsLikeCriteriaEscapeCharacter()`
`boolean` | `supportsNotCriteria()`
`boolean` | `supportsOrCriteria()`
`boolean` | `supportsOrderBy()`
`boolean` | `supportsOrderByInInlineViews()`
`boolean` | `supportsOuterJoins()`
`boolean` | `supportsQuantifiedCompareCriteria()`
`boolean` | `supportsQuantifiedCompareCriteriaAll()`
`boolean` | `supportsQuantifiedCompareCriteriaSome()`
`boolean` | `supportsRowLimit()`
`boolean` | `supportsRowOffset()`
`boolean` | `supportsScalarFunctions()`
`boolean` | `supportsScalarSubqueries()`
`boolean` | `supportsSearchedCaseExpressions()`
`boolean` | `supportsSelectDistinct()`
`boolean` | `supportsSelectLiterals()`
`boolean` | `supportsSelfJoins()`
`boolean` | `supportsUnionOrderBy()`
`boolean` | `supportsUnions()`
`boolean` | `supportsXATransactions()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrCapabilities

    public SolrCapabilities()

Method Detail

### setMaxInCriteria

    public void setMaxInCriteria(int maxCriteriaSize)

### getCapabilitiesScope

    public int getCapabilitiesScope()

  Specified by:
    `getCapabilitiesScope` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### getMaxInCriteriaSize

    public int getMaxInCriteriaSize()

  Specified by:
    `getMaxInCriteriaSize` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### getSupportedFunctions

    public java.util.List getSupportedFunctions()

  Specified by:
    `getSupportedFunctions` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregates

    public boolean supportsAggregates()

  Specified by:
    `supportsAggregates` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregatesAvg

    public boolean supportsAggregatesAvg()

  Specified by:
    `supportsAggregatesAvg` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregatesCount

    public boolean supportsAggregatesCount()

  Specified by:
    `supportsAggregatesCount` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregatesCountStar

    public boolean supportsAggregatesCountStar()

  Specified by:
    `supportsAggregatesCountStar` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregatesDistinct

    public boolean supportsAggregatesDistinct()

  Specified by:
    `supportsAggregatesDistinct` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregatesMax

    public boolean supportsAggregatesMax()

  Specified by:
    `supportsAggregatesMax` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregatesMin

    public boolean supportsAggregatesMin()

  Specified by:
    `supportsAggregatesMin` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAggregatesSum

    public boolean supportsAggregatesSum()

  Specified by:
    `supportsAggregatesSum` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAliasedGroup

    public boolean supportsAliasedGroup()

  Specified by:
    `supportsAliasedGroup` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsAndCriteria

    public boolean supportsAndCriteria()

  Specified by:
    `supportsAndCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsBetweenCriteria

    public boolean supportsBetweenCriteria()

  Specified by:
    `supportsBetweenCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCaseExpressions

    public boolean supportsCaseExpressions()

  Specified by:
    `supportsCaseExpressions` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCompareCriteria

    public boolean supportsCompareCriteria()

  Specified by:
    `supportsCompareCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCompareCriteriaEquals

    public boolean supportsCompareCriteriaEquals()

  Specified by:
    `supportsCompareCriteriaEquals` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCompareCriteriaGreaterThan

    public boolean supportsCompareCriteriaGreaterThan()

  Specified by:
    `supportsCompareCriteriaGreaterThan` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCompareCriteriaGreaterThanOrEqual

    public boolean supportsCompareCriteriaGreaterThanOrEqual()

  Specified by:
    `supportsCompareCriteriaGreaterThanOrEqual` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCompareCriteriaLessThan

    public boolean supportsCompareCriteriaLessThan()

  Specified by:
    `supportsCompareCriteriaLessThan` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCompareCriteriaLessThanOrEqual

    public boolean supportsCompareCriteriaLessThanOrEqual()

  Specified by:
    `supportsCompareCriteriaLessThanOrEqual` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCompareCriteriaNotEquals

    public boolean supportsCompareCriteriaNotEquals()

  Specified by:
    `supportsCompareCriteriaNotEquals` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCorrelatedSubqueries

    public boolean supportsCorrelatedSubqueries()

  Specified by:
    `supportsCorrelatedSubqueries` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsCriteria

    public boolean supportsCriteria()

  Specified by:
    `supportsCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsExecutionMode

    public boolean supportsExecutionMode(int executionMode)

  Specified by:
    `supportsExecutionMode` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsExistsCriteria

    public boolean supportsExistsCriteria()

  Specified by:
    `supportsExistsCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsFullOuterJoins

    public boolean supportsFullOuterJoins()

  Specified by:
    `supportsFullOuterJoins` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsFunctionsInGroupBy

    public boolean supportsFunctionsInGroupBy()

  Specified by:
    `supportsFunctionsInGroupBy` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsInCriteria

    public boolean supportsInCriteria()

  Specified by:
    `supportsInCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsInCriteriaSubquery

    public boolean supportsInCriteriaSubquery()

  Specified by:
    `supportsInCriteriaSubquery` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsInlineViews

    public boolean supportsInlineViews()

  Specified by:
    `supportsInlineViews` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsIsNullCriteria

    public boolean supportsIsNullCriteria()

  Specified by:
    `supportsIsNullCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsJoins

    public boolean supportsJoins()

  Specified by:
    `supportsJoins` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsLikeCriteria

    public boolean supportsLikeCriteria()

  Specified by:
    `supportsLikeCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsLikeCriteriaEscapeCharacter

    public boolean supportsLikeCriteriaEscapeCharacter()

  Specified by:
    `supportsLikeCriteriaEscapeCharacter` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsNotCriteria

    public boolean supportsNotCriteria()

  Specified by:
    `supportsNotCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsOrCriteria

    public boolean supportsOrCriteria()

  Specified by:
    `supportsOrCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsOrderBy

    public boolean supportsOrderBy()

  Specified by:
    `supportsOrderBy` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsOrderByInInlineViews

    public boolean supportsOrderByInInlineViews()

  Specified by:
    `supportsOrderByInInlineViews` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsOuterJoins

    public boolean supportsOuterJoins()

  Specified by:
    `supportsOuterJoins` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsQuantifiedCompareCriteria

    public boolean supportsQuantifiedCompareCriteria()

  Specified by:
    `supportsQuantifiedCompareCriteria` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsQuantifiedCompareCriteriaAll

    public boolean supportsQuantifiedCompareCriteriaAll()

  Specified by:
    `supportsQuantifiedCompareCriteriaAll` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsQuantifiedCompareCriteriaSome

    public boolean supportsQuantifiedCompareCriteriaSome()

  Specified by:
    `supportsQuantifiedCompareCriteriaSome` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsRowLimit

    public boolean supportsRowLimit()

  Specified by:
    `supportsRowLimit` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsRowOffset

    public boolean supportsRowOffset()

  Specified by:
    `supportsRowOffset` in interface `com.metamatrix.data.api.ConnectorCapabilities`
  See Also:
    `ConnectorCapabilities.supportsRowOffset()`

### supportsScalarFunctions

    public boolean supportsScalarFunctions()

  Specified by:
    `supportsScalarFunctions` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsScalarSubqueries

    public boolean supportsScalarSubqueries()

  Specified by:
    `supportsScalarSubqueries` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsSearchedCaseExpressions

    public boolean supportsSearchedCaseExpressions()

  Specified by:
    `supportsSearchedCaseExpressions` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsSelectDistinct

    public boolean supportsSelectDistinct()

  Specified by:
    `supportsSelectDistinct` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsSelectLiterals

    public boolean supportsSelectLiterals()

  Specified by:
    `supportsSelectLiterals` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsSelfJoins

    public boolean supportsSelfJoins()

  Specified by:
    `supportsSelfJoins` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsUnionOrderBy

    public boolean supportsUnionOrderBy()

  Specified by:
    `supportsUnionOrderBy` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsUnions

    public boolean supportsUnions()

  Specified by:
    `supportsUnions` in interface `com.metamatrix.data.api.ConnectorCapabilities`

### supportsXATransactions

    public boolean supportsXATransactions()

  Specified by:
    `supportsXATransactions` in interface `com.metamatrix.data.api.ConnectorCapabilities`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD